## newsbeuter 0.7

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,8 @@
 
 # compiler and linker flags
 DEFINES=-D_ENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(PACKAGE)\"
-CXXFLAGS=-ggdb -I./include -I./stfl -I. -I/usr/local/include -I/sw/include -Wall $(DEFINES)
+WARNFLAGS=-Wall -W
+CXXFLAGS=-ggdb -I./include -I./stfl -I./filter -I. -I/usr/local/include -I/sw/include $(WARNFLAGS) $(DEFINES)
 LDFLAGS=-L. -L/usr/local/lib -L/sw/lib
 
 # libraries to link with
@@ -29,10 +30,14 @@
 LIB_OBJS=$(patsubst %.cpp,%.o,$(LIB_SOURCES))
 LIB_OUTPUT=libbeuter.a
 
+FILTERLIB_SOURCES=filter/Scanner.cpp filter/Parser.cpp filter/FilterParser.cpp
+FILTERLIB_OBJS=$(patsubst %.cpp,%.o,$(FILTERLIB_SOURCES))
+FILTERLIB_OUTPUT=libfilter.a
+
 NEWSBEUTER=$(PACKAGE)
 NEWSBEUTER_SOURCES=$(shell cat newsbeuter.deps)
 NEWSBEUTER_OBJS=$(patsubst %.cpp,%.o,$(NEWSBEUTER_SOURCES))
-NEWSBEUTER_LIBS=-lbeuter -lstfl -lmrss -lnxml -lncursesw -lsqlite3 -lpthread -lcurl
+NEWSBEUTER_LIBS=-lbeuter -lfilter -lstfl -lmrss -lnxml -lncursesw -lsqlite3 -lpthread -lcurl
 
 
 PODBEUTER=podbeuter
@@ -63,7 +68,8 @@
 
 all: $(NEWSBEUTER) $(PODBEUTER)
 
-$(NEWSBEUTER): $(MOFILES) $(STFLHDRS) $(LIB_OUTPUT) $(NEWSBEUTER_OBJS)
+
+$(NEWSBEUTER): $(MOFILES) $(STFLHDRS) $(LIB_OUTPUT) $(FILTERLIB_OUTPUT) $(NEWSBEUTER_OBJS)
 	$(CXX) $(LDFLAGS) $(CXXFLAGS) -o $(NEWSBEUTER) $(NEWSBEUTER_OBJS) $(NEWSBEUTER_LIBS)
 
 $(PODBEUTER): $(MOFILES) $(STFLHDRS) $(LIB_OUTPUT) $(PODBEUTER_OBJS)
@@ -73,6 +79,15 @@
 	$(RM) $@
 	$(AR) qc $@ $^
 	$(RANLIB) $@
+
+$(FILTERLIB_OUTPUT): $(FILTERLIB_OBJS)
+	$(RM) $@
+	$(AR) qc $@ $^
+	$(RANLIB) $@
+
+#filter/Scanner.cpp filter/Parser.cpp: filter/filter.atg filter/Scanner.frame filter/Parser.frame
+#	$(RM) filter/Scanner.cpp filter/Parser.cpp filter/Scanner.h filter/Parser.h
+#	cococpp -frames filter $<
 
 %.o: %.cpp
 	$(CXX) $(CXXFLAGS) -o $@ -c $<
@@ -93,7 +108,14 @@
 clean-libbeuter:
 	$(RM) $(LIB_OUTPUT) $(LIB_OBJS)
 
-clean: clean-newsbeuter clean-podbeuter clean-libbeuter
+clean-libfilter:
+	$(RM) $(FILTERLIB_OUTPUT) $(FILTERLIB_OBJS) # filter/Scanner.cpp filter/Scanner.h filter/Parser.cpp filter/Parser.h
+
+clean-doc:
+	#$(RM) -r doc/xhtml 
+	$(RM) doc/*.xml doc/newsbeuter-cfgcmds.txt doc/podbeuter-cfgcmds.txt
+
+clean: clean-newsbeuter clean-podbeuter clean-libbeuter clean-libfilter clean-doc
 	$(RM) $(STFLHDRS)
 
 distclean: clean clean-mo
@@ -101,7 +123,11 @@
 
 doc:
 	$(MKDIR) doc/xhtml
-	$(A2X) -f xhtml -d doc/xhtml doc/newsbeuter.txt
+	$(A2X) -f xhtml -D doc/xhtml doc/newsbeuter.txt
+	doc/generate.pl doc/configcommands.dsv > doc/newsbeuter-cfgcmds.txt
+	$(A2X) -f manpage -D doc doc/manpage-newsbeuter.txt
+	doc/generate.pl doc/podbeuter-cmds.dsv > doc/podbeuter-cfgcmds.txt
+	$(A2X) -f manpage -D doc doc/manpage-podbeuter.txt
 
 install: install-mo
 	$(MKDIR) $(prefix)/bin
@@ -112,6 +138,10 @@
 	$(INSTALL) doc/$(PODBEUTER).1 $(prefix)/share/man/man1
 	$(MKDIR) $(docdir)
 	$(INSTALL) -m 644 doc/xhtml/* $(docdir) || true
+	$(MKDIR) $(docdir)/examples
+	$(INSTALL) -m 644 doc/example-config $(docdir)/examples/config || true
+	$(MKDIR) $(docdir)/contrib
+	$(INSTALL) -m 644 contrib/bookmark-delicious.sh $(docdir)/contrib/bookmark-delicious.sh || true
 
 uninstall:
 	$(RM) $(prefix)/bin/$(NEWSBEUTER)
@@ -151,7 +181,9 @@
 TEST_OBJS=$(patsubst test/%.cpp,test/%.o,$(wildcard test/*.cpp))
 
 test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) $(TEST_OBJS)
-	$(CXX) $(LDFLAGS) $(CXXFLAGS) -o test/test src/rss.o src/cache.o src/xmlpullparser.o src/urlreader.o $(TEST_OBJS) $(NEWSBEUTER_LIBS) -lboost_unit_test_framework
+	$(CXX) $(LDFLAGS) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/cache.o src/xmlpullparser.o src/urlreader.o $(TEST_OBJS) $(NEWSBEUTER_LIBS) -lboost_unit_test_framework
 
 test-clean:
 	$(RM) test/test test/test.o
+
+include mk.deps
