## newsbeuter 2.1

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,9 @@
 
 PACKAGE=newsbeuter
 
+ifneq (distclean, $(MAKECMDGOALS))
 include config.mk
+endif
 
 LIB_SOURCES:=$(shell cat libbeuter.deps)
 LIB_OBJS:=$(patsubst %.cpp,%.o,$(LIB_SOURCES))
@@ -29,7 +31,7 @@
 NEWSBEUTER=newsbeuter
 NEWSBEUTER_SOURCES:=$(shell cat newsbeuter.deps)
 NEWSBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(NEWSBEUTER_SOURCES))
-NEWSBEUTER_LIBS=-lbeuter -lfilter -lstfl -lncursesw -lpthread -lrsspp
+NEWSBEUTER_LIBS=-lbeuter -lfilter -lpthread -lrsspp
 
 RSSPPLIB_SOURCES=$(wildcard rss/*.cpp)
 RSSPPLIB_OBJS=$(patsubst rss/%.cpp,rss/%.o,$(RSSPPLIB_SOURCES))
@@ -39,9 +41,9 @@
 PODBEUTER=podbeuter
 PODBEUTER_SOURCES:=$(shell cat podbeuter.deps)
 PODBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(PODBEUTER_SOURCES))
-PODBEUTER_LIBS=-lbeuter -lstfl -lncursesw -lpthread
-
-ifneq ($(shell uname -s),Linux)
+PODBEUTER_LIBS=-lbeuter -lpthread
+
+ifeq (, $(filter Linux GNU GNU/%, $(shell uname -s)))
 NEWSBEUTER_LIBS+=-liconv -lintl
 PODBEUTER_LIBS+=-liconv -lintl
 endif
