## newsbeuter 2.3

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DEFINES=-DLOCALEDIR=\"$(localedir)\"
 WARNFLAGS=-Wall -Wextra
 CXXFLAGS+=-ggdb -Iinclude -Istfl -Ifilter -I. -Irss $(WARNFLAGS) $(DEFINES)
-LDFLAGS+=-L. -L/sw/lib
+LDFLAGS+=-L.
 
 PACKAGE=newsbeuter
 
@@ -114,9 +114,9 @@
 clean-libfilter:
 	$(RM) $(FILTERLIB_OUTPUT) $(FILTERLIB_OBJS)
 
-clean-doc:
-	$(RM) -r doc/xhtml 
-	$(RM) doc/*.xml doc/*.1 doc/newsbeuter-cfgcmds.txt doc/podbeuter-cfgcmds.txt doc/newsbeuter-keycmds.txt
+#clean-doc:
+#	$(RM) -r doc/xhtml 
+#	$(RM) doc/*.xml doc/*.1 doc/newsbeuter-cfgcmds.txt doc/podbeuter-cfgcmds.txt doc/newsbeuter-keycmds.txt
 
 clean: clean-newsbeuter clean-podbeuter clean-libbeuter clean-libfilter clean-librsspp
 	$(RM) $(STFLHDRS) xlicense.h
@@ -183,10 +183,10 @@
 	done
 
 test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) test/test.o
-	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o $(NEWSBEUTER_LIBS) -lboost_unit_test_framework $(LDFLAGS)
+	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
 
 test-rss: $(RSSPPLIB_OUTPUT) test/test-rss.o
-	$(CXX) $(CXXFLAGS) -o test/test-rss test/test-rss.o src/utils.o $(NEWSBEUTER_LIBS) -lboost_unit_test_framework $(LDFLAGS)
+	$(CXX) $(CXXFLAGS) -o test/test-rss test/test-rss.o src/utils.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
 
 test/test.o: test/test.cpp
 	$(CXX) $(CXXFLAGS) -o $@ -c $<
