=== debian/changelog ===
newsbeuter (2.3-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format
  * Adjust years in debian/copyright.

 -- Nico Golde <nion@debian.org>  Fri, 25 Jun 2010 22:49:14 +0200

newsbeuter (2.2-2) unstable; urgency=low

  * Do not cleanup deleted items uppon quitting so they will be
    reloaded and marked as new next time (Closes: #574665).

 -- Nico Golde <nion@debian.org>  Tue, 23 Mar 2010 19:09:18 +0100

newsbeuter (2.2-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version, no changes needed.
  * Add contrib/f1sa.rb to installed contrib files.

 -- Nico Golde <nion@debian.org>  Sun, 14 Mar 2010 12:32:24 +0100

newsbeuter (2.1-1) unstable; urgency=low

  * New upstream release
    - fix rss title parsing (Closes: #526612).
    - fix FTBFS on kFreeBSD (Closes: #543591).

 -- Nico Golde <nion@debian.org>  Tue, 08 Dec 2009 21:20:22 +0100

newsbeuter (2.0-1) unstable; urgency=low

  * New upstream release.
    - Remove dependeny on mrss and nxml and add libxml2, newsbeuter
      now comes with its own parser.
    - Remove debian/patches and quilt dependency.
  * Bump to policy 3.8.1, no changes needed.
  * debian/copyright: adjust years.
  * Remove dh_clean -k call as it is deprecated -> dh_prep.
  * Change newsbeuter homepage, it now has an official one.
  * Fix watch file url, new upstream code location.
  * Add bookmark-scuttle.sh to installed contrib files.

 -- Nico Golde <nion@debian.org>  Tue, 21 Apr 2009 14:06:18 +0200

newsbeuter (1.3-1) unstable; urgency=low

  * New upstream release
    - switched to smart pointers, should fix all remaining segfaults (Closes: #498377).

 -- Nico Golde <nion@debian.org>  Thu, 04 Dec 2008 13:03:02 +0100

newsbeuter (1.2-1) unstable; urgency=low

  * New upstream release.
    - Fix incomplete quoting fix for article URLs by replacing '
      with the proper encoding in hex (Closes: #497495).
  * Update rss_parser.cpp part of the use_system-wide-libs for the
    new download-timeout option.

 -- Nico Golde <nion@debian.org>  Tue, 02 Sep 2008 13:56:35 +0200

newsbeuter (1.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes arbitrary code execution via crafted URL if passed to external browser
  * Drop debian/patches/{external_command_execution, wrap-long-lines},
    applied upstream.

 -- Nico Golde <nion@debian.org>  Mon, 01 Sep 2008 11:19:18 +0200

newsbeuter (1.0-3) unstable; urgency=low

  * Remove calls to libnxml-depends and libmrss-depends from rules as they
    break newsbeuter upgrades because nxml and mrss stopped providing their
    -abi packages (Closes: #496772).
  * Fix calling external html-render by passing the command to /bin/sh -c
    instead of directly to execve (external_command_execution; Closes: #496766).

 -- Nico Golde <nion@debian.org>  Wed, 27 Aug 2008 16:23:05 +0200

newsbeuter (1.0-2) unstable; urgency=low

  * Make newsbeuter depend on stfl >= 0.19 as the highlighting in the
    feed list, article list and article view needs it.
  * debian/patches/wrap-long-lines to wrap long header lines in the article
    view (Closes: #491122).

 -- Nico Golde <nion@debian.org>  Wed, 20 Aug 2008 21:45:37 +0200

newsbeuter (1.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards version to 3.8.0, no changes needed.
  * Bump compat level and debhelper dependency to 7.
  * Explicitly add libcurl4-gnutls-dev to build-depends to satisfy pkg-config.
  * Add quilt to build dependencies and introduce use_system-wide_libs to
    build newsbeuter with the system-wide libmrss and libnxml instead of
    directly patching the source with each release.

 -- Nico Golde <nion@debian.org>  Wed, 20 Aug 2008 13:53:57 +0200

newsbeuter (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Mon, 12 May 2008 16:25:56 +0200

newsbeuter (0.9-1) unstable; urgency=low

  * New upstream release.
    - Fix problem displaying titles when using zh_CN.UTF-8
      locale (Closes: #471434).
  * Add default configuration to set sensible-browser as browser and
    add dirs file to create /etc/newsbeuter (Closes: #470833).
  * remove libnxml-depends and libmrss-depends calls in rules and
    related dependency lines in control since they are not needed
    anymore (Closes: #467201).

 -- Nico Golde <nion@debian.org>  Thu, 01 May 2008 14:51:20 +0200

newsbeuter (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Sun, 16 Mar 2008 16:38:06 +0100

newsbeuter (0.8.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash in special locale combinations
      due to a bug when converting database content from multibyte to
      widechar (Closes: #470390).

 -- Nico Golde <nion@debian.org>  Tue, 11 Mar 2008 21:46:40 +0100

newsbeuter (0.8-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: care about DEB_BUILD_OPTIONS.
  * debian/copyright: adjust copyright years.
  * debian/control: adding pkg-config as build-dependency as newsbeuter's
    buildsystem makes use of it now.
  * Patch Makefile and various source files to prevent linking against local
    copy of mrss and nxml.

 -- Nico Golde <nion@debian.org>  Fri, 07 Mar 2008 13:44:43 +0100

newsbeuter (0.7-5) unstable; urgency=low

  * Tighten the build dependencies to libnxml and libmrss to workaround
    possible future ABI breaks in those libs, thanks Torsten Werner for the
    patch.

 -- Nico Golde <nion@debian.org>  Tue, 04 Mar 2008 15:17:49 +0100

newsbeuter (0.7-4) unstable; urgency=low

  * Switch to compat level 6 as it is default now.
  * Change free call to sqlite3_free because we have sqlite-3.5
    in Debian now (Closes: #468476).

 -- Nico Golde <nion@debian.org>  Fri, 29 Feb 2008 15:10:16 +0100

newsbeuter (0.7-3) unstable; urgency=low

  * Add missing include headers to prevent FTBFS
    with gcc 4.3 (Closes: #455611).

 -- Nico Golde <nion@debian.org>  Sun, 20 Jan 2008 13:27:17 +0100


