=== debian/control ===
Source: newsbeuter
Section: net
Priority: optional
Maintainer: Nico Golde <nion@debian.org>
Build-Depends: libncursesw5-dev, debhelper (>= 7), libxml2-dev, libstfl-dev (>= 0.19), libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev
Standards-Version: 3.8.4
Homepage: http://www.newsbeuter.org

Package: newsbeuter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text mode rss feed reader with podcast support
 newsbeuter is an innovative RSS feed reader for the text console.
 It supports OPML import/exports, HTML rendering, podcast (podbeuter),
 offline reading, searching and storing articles to your filesystem,
 and many more features.
 .
 Its user interface is coherent, easy to use, and might look
 common to users of mutt and slrn.
