## newsbeuter 2.4

=== Makefile ===
--- 
+++ 
@@ -153,7 +153,7 @@
 	$(RM) -r $(DESTDIR)$(docdir)
 
 .PHONY: doc clean distclean all test test-rss extract install uninstall regenerate-parser clean-newsbeuter \
-	clean-podbeuter clean-libbeuter clean-librsspp clean-libfilter clean-doc install-mo msgmerge clean-mo \
+	clean-podbeuter clean-libbeuter clean-librsspp clean-libfilter install-mo msgmerge clean-mo \
 	test-clean config
 
 # the following targets are i18n/l10n-related:
@@ -182,7 +182,7 @@
 		echo "Installing $$mofile as $$dir/$(PACKAGE).mo" ; \
 	done
 
-test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) test/test.o
+test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) $(FILTERLIB_OUTPUT) $(RSSPPLIB_OUTPUT) test/test.o
 	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
 
 test-rss: $(RSSPPLIB_OUTPUT) test/test-rss.o
