=== debian/changelog ===
newsbeuter (2.4-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version, no changes needed.

 -- Nico Golde <nion@debian.org>  Tue, 01 Feb 2011 23:41:47 +0100
