=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
 Build-Depends: libncursesw5-dev, debhelper (>= 7), libxml2-dev, libstfl-dev (>= 0.19), libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.newsbeuter.org
 
 Package: newsbeuter
