## newsbeuter 2.5

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,11 @@
 include config.mk
 endif
 
-LIB_SOURCES:=$(shell cat libbeuter.deps)
+ifeq ($(PROFILE),1)
+CXXFLAGS+=-fprofile-arcs -ftest-coverage
+endif
+
+LIB_SOURCES:=$(shell cat mk/libbeuter.deps)
 LIB_OBJS:=$(patsubst %.cpp,%.o,$(LIB_SOURCES))
 LIB_OUTPUT=libbeuter.a
 
@@ -29,7 +33,7 @@
 FILTERLIB_OUTPUT=libfilter.a
 
 NEWSBEUTER=newsbeuter
-NEWSBEUTER_SOURCES:=$(shell cat newsbeuter.deps)
+NEWSBEUTER_SOURCES:=$(shell cat mk/newsbeuter.deps)
 NEWSBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(NEWSBEUTER_SOURCES))
 NEWSBEUTER_LIBS=-lbeuter -lfilter -lpthread -lrsspp
 
@@ -39,7 +43,7 @@
 
 
 PODBEUTER=podbeuter
-PODBEUTER_SOURCES:=$(shell cat podbeuter.deps)
+PODBEUTER_SOURCES:=$(shell cat mk/podbeuter.deps)
 PODBEUTER_OBJS:=$(patsubst %.cpp,%.o,$(PODBEUTER_SOURCES))
 PODBEUTER_LIBS=-lbeuter -lpthread
 
@@ -153,7 +157,7 @@
 	$(RM) -r $(DESTDIR)$(docdir)
 
 .PHONY: doc clean distclean all test test-rss extract install uninstall regenerate-parser clean-newsbeuter \
-	clean-podbeuter clean-libbeuter clean-librsspp clean-libfilter install-mo msgmerge clean-mo \
+	clean-podbeuter clean-libbeuter clean-librsspp clean-libfilter clean-doc install-mo msgmerge clean-mo \
 	test-clean config
 
 # the following targets are i18n/l10n-related:
@@ -183,7 +187,7 @@
 	done
 
 test: $(LIB_OUTPUT) $(NEWSBEUTER_OBJS) $(FILTERLIB_OUTPUT) $(RSSPPLIB_OUTPUT) test/test.o
-	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
+	$(CXX) $(CXXFLAGS) -o test/test src/history.o src/rss.o src/rss_parser.o src/htmlrenderer.o src/cache.o src/tagsouppullparser.o src/urlreader.o src/regexmanager.o test/test.o src/ttrss_api.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
 
 test-rss: $(RSSPPLIB_OUTPUT) test/test-rss.o
 	$(CXX) $(CXXFLAGS) -o test/test-rss test/test-rss.o src/utils.o $(NEWSBEUTER_LIBS) $(LDFLAGS)
@@ -194,6 +198,10 @@
 test-clean:
 	$(RM) test/test test/test.o test/test-rss test/test-rss.o
 
+profclean:
+	find . -name '*.gc*' -type f | xargs $(RM)
+	$(RM) app*.info
+
 config: config.mk
 
 config.mk:
@@ -202,4 +210,4 @@
 xlicense.h: LICENSE
 	$(TEXTCONV) $< > $@
 
-include mk.deps
+include mk/mk.deps
