=== debian/changelog ===
newsbeuter (2.5-3) unstable; urgency=low

  * Bump standards version, no changes required.
  * Fix FTBFS issue due to json's switch from boolean to json_bool
    (Closes: #689225).
  * Build with hardening options.

 -- Nico Golde <nion@debian.org>  Sun, 30 Sep 2012 17:51:06 +0200

newsbeuter (2.5-2) unstable; urgency=low

  * Fix build errors with gcc-4.7 (Closes: #667296).
  * Bump standards version.

 -- Nico Golde <nion@debian.org>  Mon, 07 May 2012 21:27:20 +0200

newsbeuter (2.5-1) unstable; urgency=low

  * New upstream release (Closes: #655981).
  * Add libjson0-dev to the build dependencies.
  * Bump standards version.
  * debian/rules: add build-arch and build-indep
    targets as required by polics section 4.9.

 -- Nico Golde <nion@debian.org>  Sun, 15 Jan 2012 21:32:53 +0100
