=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: libncursesw5-dev, debhelper (>= 7), libxml2-dev, libstfl-dev (>= 0.19), libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev
-Standards-Version: 3.9.1
+Build-Depends: libncursesw5-dev, debhelper (>= 7), libxml2-dev, libstfl-dev (>= 0.19), libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev, libjson0-dev
+Standards-Version: 3.9.4
 Homepage: http://www.newsbeuter.org
 
 Package: newsbeuter
