=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,12 @@
 # quilt support
 #include /usr/share/quilt/quilt.make
 
-CFLAGS = -Wall -g
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS += -Wall -g
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
         CFLAGS += -O0
 else
@@ -12,8 +17,13 @@
 endif
 
 export CFLAGS
+export LDFLAGS
+export CXXFLAGS
+export CPPFLAGS
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:
 	dh_testdir
