## newsbeuter 2.6

=== debian/changelog ===
newsbeuter (2.6-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version, no changes required.
  * Remove fix_gcc-4.7_ftbfs.patch, included upstream.
  * Update fix_json_boolean_include.patch.
  * Bump compat level to 9, adjust debhelper dependency.
  * Hardening: switch to dpkg-dev >= 1.16.1~ and use buildflags.mk.


 -- Nico Golde <nion@debian.org>  Wed, 20 Mar 2013 20:28:55 +0100
