=== debian/changelog ===
newsbeuter (2.7-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Mon, 02 Sep 2013 14:23:27 +0200
