=== debian/rules ===
--- 
+++ 
@@ -4,22 +4,15 @@
 # quilt support
 #include /usr/share/quilt/quilt.make
 
-CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
-LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
-CFLAGS += -Wall -g
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
         CFLAGS += -O0
 else
         CFLAGS += -O2
 endif
-
-export CFLAGS
-export LDFLAGS
-export CXXFLAGS
-export CPPFLAGS
 
 build: build-arch build-indep
 build-arch: build-stamp
