=== debian/watch ===
version=3
http://www.newsbeuter.org/downloads/newsbeuter-?_?([\d+\.]+|\d+)\.tar.* debian uupdate
